# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri May  3 21:08:57 2024
# ------------------------------------------------

package:
  name: tk
  version: 8.6.14
source:
  - folder: tcl8.6.14
    sha256: 5880225babf7954c58d4fb0f5cf6279104ce1cd6aa9b71e9a6322540e1c4de66
    url: https://altushost-swe.dl.sourceforge.net/project/tcl/Tcl/8.6.14/tcl8.6.14-src.tar.gz
  - folder: tk8.6.14
    sha256: 8ffdb720f47a6ca6107eac2dd877e30b0ef7fac14f3a84ebbd0b3612cee41a94
    url: https://altushost-swe.dl.sourceforge.net/project/tcl/Tcl/8.6.14/tk8.6.14-src.tar.gz
build:
  detect_binary_files_with_prefix: true
  missing_dso_whitelist:
    - $RPATH/lib*
  number: '0'
  run_exports:
    - tk >=8.6.14,<8.7.0a0
  string: h987d8db_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - basesystem-amzn2-aarch64 10.0 5
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - filesystem-amzn2-aarch64 3.2 5
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - glibc-amzn2-aarch64 2.26 5
    - glibc-common-amzn2-aarch64 2.26 5
    - glibc-minimal-langpack-amzn2-aarch64 2.26 5
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libx11-amzn2-aarch64 1.6.7 5
    - libx11-common-amzn2-aarch64 1.6.7 5
    - libx11-devel-amzn2-aarch64 1.6.7 5
    - libxau-amzn2-aarch64 1.0.8 5
    - libxcb-amzn2-aarch64 1.12 5
    - make 4.2.1 hfd63f10_1
    - setup-amzn2-aarch64 2.8.71 5
    - sysroot_linux-aarch64 2.26 h4744778_14
    - system-release-amzn2-aarch64 2 5
    - tzdata-amzn2-aarch64 2020d 5
    - xorg-x11-proto-devel-amzn2-aarch64 2018.4 5
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - zlib 1.2.13 h998d150_1
  run:
    - libgcc-ng >=11.2.0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - test -f "${PREFIX}/bin/tclsh"
    - test -f "${PREFIX}/bin/wish"
    - test -f "${PREFIX}/bin/tclsh8.6"
    - test -f "${PREFIX}/bin/wish8.6"
    - test -f "${PREFIX}/include/tcl.h"
    - test -f "${PREFIX}/include/tclDecls.h"
    - test -f "${PREFIX}/include/tclPlatDecls.h"
    - test -f "${PREFIX}/include/tclPlatDecls.h"
    - test -f "${PREFIX}/include/tclTomMathDecls.h"
    - test -f "${PREFIX}/include/tclTomMath.h"
    - test -f "${PREFIX}/include/tk.h"
    - test -f "${PREFIX}/include/tkDecls.h"
    - test -f "${PREFIX}/include/tkPlatDecls.h"
    - test -f "${PREFIX}/lib/libtcl8.6.so"
    - test -f "${PREFIX}/lib/libtclstub8.6.a"
    - test -f "${PREFIX}/lib/libtk8.6.so"
    - test -f "${PREFIX}/lib/libtkstub8.6.a"
    - tclsh hello.tcl
    - tclsh8.6 hello.tcl
    - wish hello.tcl
    - wish8.6 hello.tcl
  files:
    - hello.tcl
about:
  description: 'Tcl (Tool Command Language) is a very powerful but easy to learn dynamic
    programming language,

    suitable for a very wide range of uses, including web and desktop applications,
    networking,

    administration, testing and many more. Open source and business-friendly,

    Tcl is a mature yet evolving language that is truly cross platform, easily deployed
    and highly extensible.

    Tk is a graphical user interface toolkit that takes developing desktop applications
    to a higher level than

    conventional approaches. Tk is the standard GUI not only for Tcl, but for many
    other dynamic languages,

    and can produce rich, native applications that run unchanged across Windows, Mac
    OS X, Linux and more.

    '
  dev_url: https://core.tcl-lang.org/tk/home
  doc_url: https://www.tcl.tk/man/tcl8.6/index.html
  home: https://www.tcl.tk/
  license: TCL
  license_family: BSD
  license_file: tcl8.6.14/license.terms
  summary: A dynamic programming language with GUI support. Bundles Tcl and Tk.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 020a7cbe-4541-401b-bcf5-e1b3942b0c08
  recipe-maintainers:
    - jakirkham
    - jjhelmus
    - mingwandroid
    - msarahan
    - ocefpaf
    - pelson
  remote_url: git@github.com:AnacondaRecipes/tk-feedstock.git
  sha: 7e6bf85c7160a89134e176b5ddd1ead57e12cade
